| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z
- ~

Here is a list of all documented class members with links to the class documentation for each member:

### - u -

- u : csSprite2DVertex, CS::TypeTraits::Implementation::IsSameImpl< T, U >, csCompressVertexInfo
- UberScreenshotMaker() : CS::UberScreenshotMaker
- ubershotH : CS::UberScreenshotMaker
- ubershotW : CS::UberScreenshotMaker
- ucsize : ZIP_central_directory_file_header, ZIP_local_file_header
- ui32 : CS::PluginCommon::SoftShader::Pixel
- UInt16() : csSetToAddress, csGetFromAddress, csBigEndian, csLittleEndian, csSwapBytes
- UInt32() : csSetToAddress, csGetFromAddress, csBigEndian, csLittleEndian, csSwapBytes
- UInt64() : csSetToAddress, csGetFromAddress, csBigEndian, csLittleEndian, csSwapBytes
- UnbindAll() : iInputBinder, csInputBinder
- UnbindAxis() : iInputBinder, csInputBinder
- UnbindButton() : iInputBinder, csInputBinder
- UncacheFont() : csFontCache
- UncacheGlyph() : csFontCache
- Unflatten() : csEventFlattener
- Union() : csSphere, csRect
- Unit() : csVector4T< T >, csVector3, csQuaternion, csDVector3
- UnitAxisClamped() : csVector3
- UnitTest() : iDebugHelper, csGraphics2D, csTiledCoverageBuffer, csGeomDebugHelper, csKDTree
- UNKNOWN : csShaderVariable
- UnlinkObject() : csKDTree
- UnlinkObjects() : iSector
- UnlinkShadow() : iShadowBlock
- UnloadPlugin() : iPluginManager, csPluginManager
- UnloadUnusedModules() : iSCF
- Unlock() : iPolygonMesh, csEventCord, CS::SndSys::Queue< T >, csPolygonMeshBox, csPolygonMesh
- UnmapWindow() : csPlatformMemoryMappingWin32, csPlatformMemoryMappingPosix, csPlatformMemoryMappingDummy
- Unmount() : iVFS
- UnpackRGBAtoRGBcolor() : csPackRGBA
- UnpackRGBAtoRGBpixel() : csPackRGBA
- UnpackRGBtoRGBcolor() : csPackRGB
- UnpackRGBtoRGBpixelBuffer() : csPackRGB
- Unpause() : iSndSysStream, CS::SndSys::SndSysBasicStream
- UnPause() : iMovieRecorder
- Unprepare() : iThingState
- Unqueue() : iJobQueue, csThreadJobQueue
- Unregister() : iObjectRegistry, iRenderLoopManager, csObjectRegistry
- UnregisterCallback() : iSndSysStream, iSndSysRenderer, CS::SndSys::SndSysBasicStream
- UnregisterClass() : iSCF
- UnregisterQueue() : csBaseEventHandler
- UnregisterShader() : iShaderManager
- UnregisterVisObject() : iVisibilityCuller
- UnsafeAdd() : csRGBpixel, csRGBcolor
- UnsetChangeAlpha() : iParticleState, csParticleSystem
- UnsetChangeColor() : iParticleState, csParticleSystem
- UnsetChangeRotation() : iParticleState, csParticleSystem
- UnsetChangeSize() : iParticleState, csParticleSystem
- UnSetSelfDestruct() : iParticleState, csParticleSystem
- UnsetTexture() : iSprite3DState
- Unsubscribe() : iEventQueue, csEventTree, csEventQueue
- Upcase() : iString, scfString, csStringBase
- Update() : iRigidBody, iGenMeshAnimationControl, csNewtonianParticleSystem, csParticleSystem
- UpdateClipper() : iView, csView
- UpdateColors() : iGenMeshAnimationControl
- UpdateLighting() : iParticle
- UpdateMove() : iMovable
- UpdateName() : csImageCubeMapMaker
- UpdateNormals() : iGenMeshAnimationControl
- UpdatePosition() : iAnimTimeUpdateHandler
- UpdateTexels() : iGenMeshAnimationControl
- UpdateVertices() : iGenMeshAnimationControl, csTriangleVerticesCost, csTriangleVertices
- use_cb : csProcTexture
- useCombineTE : csGraphics2DGLCommon
- used : csCompressVertexInfo, csCompressVertex
- usedGlyphs : csFontCache::PlaneGlyphs
- UseOwnMessageLoop() : iWin32Assistant
- UserStreamArray : MINIDUMP_USER_STREAM_INFORMATION
- UserStreamCount : MINIDUMP_USER_STREAM_INFORMATION
- userVal : csShaderProgram::VariableMapEntry
- UseTexture() : iTextureCallback
- UsingRectParticles() : iEmitState
- UTF16Decode() : csUnicodeTransform
- UTF16Rewind() : csUnicodeTransform
- UTF16Skip() : csUnicodeTransform
- UTF16to32() : csUnicodeTransform
- UTF16to8() : csUnicodeTransform
- UTF32Decode() : csUnicodeTransform
- UTF32Rewind() : csUnicodeTransform
- UTF32Skip() : csUnicodeTransform
- UTF32to16() : csUnicodeTransform
- UTF32to8() : csUnicodeTransform
- UTF8Decode() : csUnicodeTransform
- UTF8Rewind() : csUnicodeTransform
- UTF8Skip() : csUnicodeTransform
- UTF8to16() : csUnicodeTransform
- UTF8to32() : csUnicodeTransform